org.apache.calcite.avatica.remote

## Class Service.ConnectionSyncRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.ConnectionSyncRequest

Enclosing interface:
  Service

    public static class Service.ConnectionSyncRequest
    extends Service.Request

Request for `Meta.connectionSync(Meta.ConnectionHandle, Meta.ConnectionProperties)`.

### Field Summary

Fields
`String` `connectionId`
`Meta.ConnectionProperties` `connProps`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionSyncRequest(String connectionId, Meta.ConnectionProperties connProps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionId

    public final String connectionId

#### connProps

    public final Meta.ConnectionProperties connProps

### Constructor Detail

#### ConnectionSyncRequest

    public ConnectionSyncRequest(String connectionId,
                                 Meta.ConnectionProperties connProps)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`